Name: libalsa
Version: 1.0.5
Release: alt2

Summary: Advanced Linux Sound Architecture (ALSA) library
License: GPL
Group: System/Libraries

%define srcname alsa-lib
%define pkgdocdir %_docdir/%name-%version

Url: http://www.alsa-project.org
Source: ftp://ftp.alsa-project.org/pub/lib/%srcname-%version.tar.bz2
Patch0: alsa-lib-0.9.8-alt-fpic.patch
Patch1: alsa-lib-1.0.1-shm-leak.patch

Obsoletes: libalsa2 < 0.9.4
Provides: libalsa2 = %version

BuildPreReq: kernel-headers-std

%add_optflags %optflags_shared

# Automatically added by buildreq on Wed Jan 28 2004 (-bi)
BuildRequires: common-licenses doxygen glibc-devel-static hostinfo

%if_enabled static
BuildRequires: glibc-devel-static
%endif

Summary(ru_RU.KOI8-R):  ALSA
Summary(uk_UA.KOI8-U): ̦ ALSA

%description
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%description -l ru_RU.KOI8-R
    ALSA (Advanced Linux Sound Architecture,
    Linux)

%description -l uk_UA.KOI8-U
  ͦ ¦̦ ALSA (Advanced Linux Sound Architecture,
  Ц  Linux)

%package -n aserver
Summary: Sound server for alsa
Summary(ru_RU.KOI8-R):    ALSA
Summary(uk_UA.KOI8-U):    ALSA
License: GPL
Group: Sound
Requires: %name = %version-%release

%description -n aserver
Sound server for ALSA

%description -l ru_RU.KOI8-R
   ALSA

%description -l uk_UA.KOI8-U
   ALSA

%package devel
Summary: Development environment for Advanced Linux Sound Architecture (ALSA)
License: GPL
Group: Development/C

Requires: %name = %version-%release
Provides: libalsa2-devel = %version
Obsoletes: libalsa2-devel

%description devel
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This is the development environment to compile ALSA applications.

%if_enabled static
%package devel-static
Summary: Static libraries for Advanced Linux Sound Architecture (ALSA)
License: GPL
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This package contains static library to build statically linked ALSA
applications.
%endif

%prep
%setup -q -n %srcname-%version

%__rm -f COPYING
%__ln_s %_licensedir/LGPL-2.1 COPYING

%build
%configure %{subst_enable static}
%make_build
%make doc

%install
%makeinstall

%__install -d -m755 %buildroot%pkgdocdir
%__install -p -m644 NOTES MEMORY-LEAK TODO %buildroot%pkgdocdir/
%__cp -a doc/doxygen/html %buildroot%pkgdocdir/
%__ln_s %_licensedir/LGPL-2.1 %buildroot%pkgdocdir/COPYING

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%dir %pkgdocdir
%pkgdocdir/COPYING
%_libdir/*.so.*
%_datadir/alsa

%files devel
%dir %pkgdocdir
%pkgdocdir/[D-Z]*
%pkgdocdir/html
%_libdir/*.so
%_libdir/pkgconfig/alsa.pc
%_includedir/sys/*
%_includedir/alsa
%_datadir/aclocal/*
%_bindir/alsalisp

%if_enabled static
%files devel-static
#_libdir/*.la
%_libdir/*.a
%endif

%files -n aserver
%_bindir/aserver

%changelog
* Sat Jun 26 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt2
- tiny spec cleanup/rebuild

* Mon May 31 2004 Michael Shigorin <mike@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Sat Apr 03 2004 Michael Shigorin <mike@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Sun Mar 21 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3b-alt1
- 1.0.3b
- added kernel-headers-std build dep

* Sat Mar 06 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3a-alt1
- 1.0.3a

* Tue Mar 02 2004 Michael Shigorin <mike@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Jan 29 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt2
- 1.0.2, Final Upload by ALSA Project (TM) 20040129 18:35 +0200
- thanks to Sergey Vlasov (vsu@) for alerting about re-uploads

* Wed Jan 28 2004 Michael Shigorin <mike@altlinux.ru> 1.0.2-alt1
- 1.0.2
- upstream merged patch0, patch1 (alt-fpic and shm-leak)

* Tue Jan 20 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt3
- added patch by Adam Tla/lka <atlka pg gda pl> to fix shared
  memory leak; thanks to Sergey Vlasov (vsu@)
- added %_bindir/alsalisp to devel subpackage

* Mon Jan 19 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt2
- spec facelift/cleanup by Mikhail Zabaluev (mhz@):
  * doxygen'erated docs, license files installed the right way;
  * build deps refresh/cleanup
- translated package info

* Sun Jan 18 2004 Mikhail Zabaluev <mhz@altlinux.ru> 1.0.1-alt1.1
- build doxygen docs, package them plus readme files and symlinked license
- spec cleanup
- buildreq (WTF was this mawk thing?)
- builds fine without alsa-driver-headers (?)

* Sun Jan 11 2004 Michael Shigorin <mike@altlinux.ru> 1.0.1-alt1
- 1.0.1
- WARNING: API has changed in 1.0.x, things may break
- removed *.la
- don't package static libs by default

* Tue Nov 11 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt2
- fixed -fPIC-related trouble:
 * %optflags_shared
 * patch by Dmitry V. Levin (ldv@)

* Wed Oct 22 2003 Michael Shigorin <mike@altlinux.ru> 0.9.8-alt1
- 0.9.8

* Fri Sep 26 2003 Michael Shigorin <mike@altlinux.ru> 0.9.7-alt1
- 0.9.7

* Wed Jul 30 2003 Michael Shigorin <mike@altlinux.ru> 0.9.6-alt1
- 0.9.6

* Tue Jul 15 2003 Michael Shigorin <mike@altlinux.ru> 0.9.5-alt1
- 0.9.5

* Tue Jul 08 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt2
- fixed forcibly broken BuildRequires as kernel-source-alsa-std got fixed
  (alsa-driver-headers >= %%version)

* Mon Jun 23 2003 Michael Shigorin <mike@altlinux.ru> 0.9.4-alt1
- 0.9.4
- renamed to libalsa

* Wed Apr 02 2003 Michael Shigorin <mike@altlinux.ru> 0.9.2-alt0.1
- 0.9.2 (unofficial build)

* Tue Feb 04 2003 Rider <rider@altlinux.ru> 0.9.0rc7-alt1
- 0.9.0rc7

* Tue Nov 26 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc6-alt1
- 0.9.0rc6
- REbuilt in new environment

* Mon Jun 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt2
- Removed requires to virtual kernel alsa

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0rc1-alt1
- 0.9.0rc1

* Thu Feb 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta12-alt1
- 0.9.0beta12

* Wed Dec 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta10a-alt1
- 0.9.0beta10a

* Tue Nov 20 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta9-alt1
- 0.9.0beta9

* Fri Oct 12 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta8a-alt1
- 0.9.0beta8a
- Fixed requires
- Fixed filelists

* Fri Sep 21 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9.0beta7-alt1
- First build for Sisyphus
